Subject: Re: [PATCH v2 0/8] Make trailer_info struct private (plus sequencer cleanup)

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Apr 2024 17:27:08 -0700

"Linus Arver via GitGitGadget" <[email-masked]> writes:

> NOTE: This series is based on the la/format-trailer-info topic branch (see
> its discussion at [1]).
>
> This series is based on the initial series [2], notably the v4 version of
> patches 17-20 as suggested by Christian [3]. This version addresses the
> review comments for those patches, namely the splitting up of Patch 19 there
> into 3 separate patches [4] (as Patches 05-07 here) .
>
> The central idea is to make the trailer_info struct private (that is, move
> its definition from trailer.h to trailer.c) --- aka the "pimpl" idiom. See
> the detailed commit message for Patch 07 for the motivation behind the
> change.
>
> Patch 04 makes sequencer.c a well-behaved trailer API consumer, by making
> use of the trailer iterator. Patch 03 prepares us for Patch 04. Patch 08
> slightly reduces the weight of the API by removing (from the API surface) an
> unused function.

As we haven't seen any interest or reviews to this series over its
two iterations, I took a look myself and it looked mostly OK to me.

So, I'll mark the topic for 'next' unless somebody objects (I really
was hoping that Christian would utter something on the topic as it
has been his area all along), but given that we'd be in pre-release
freeze for one more week, there is no need to rush.

Thanks.